#ifndef TWILCD_CONFIG
#define TWILCD_CONFIG
		
	/**
	 * Address byte selection
	 * Select 0 for low and 1 for high
	**/
	#define PCF8574_A0			0
	#define PCF8574_A1			0
	#define PCF8574_A2			0
	
	// Uncomment this to use minimal mode (less functions, not as big)
	//	#define TWI_LCD_SMALL

	#if defined(__AVR_ATmega168__) && !defined(TWI_LCD_SMALL)
		// Uncomment this to enable use of a timeout after which the LCD turns off
		#define TWI_LCD_USE_TIMEOUT

	#ifdef TWI_LCD_USE_TIMEOUT
		#define	TWI_LCD_TIMEOUT		5000	/* In milliseconds (30 sec) */
	#endif

		// Uncomment this to enable control of the backlight on pin 3
		#define TWI_LCD_CTRL

	#ifdef TWI_LCD_CTRL
		// Uncomment this to use PWM for backlight control.
		//#define TWI_LCD_BL_PWM

	#ifdef TWI_LCD_BL_PWM
		// Set this to the default brightness for PWM controlled backlight
		#define TWI_LCD_BL_LEVEL	255
	#endif

	#ifndef TWI_LCD_BL_PWM
		// Uncomment this use the DS1803 digi-pot for display/backlight brightness
		#define TWI_LCD_DPOT_CTRL

	#ifdef TWI_LCD_DPOT_CTRL
		// Set this to the default value of the backlight (0 to 254)
		#define TWI_LCD_BL_LEVEL	254

		// Set this to the default value of the display brightness (0 to 254)
		#define TWI_LCD_DB_LEVEL	225
	#endif
	#endif
	// End LCD Control
	#endif

	// End Small version
	#endif
	
#endif
